Subject: bug#48108: Wishlist: Command to remove redundant eln cache directories [native-comp]

From: Rudolf Schlatte <[email-masked]>
Date: Fri, 01 Jul 2022 18:18:16 +0200

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], Andrea Corallo <[email-masked]>
>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Fri, 01 Jul 2022 13:11:03 +0200
>> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>> > The exact details of this would of course need to be discussed, but as
>> > a starting point perhaps we could imagine two modes of operation:
>> 
>> [...]
>> 
>> > 2.  Remove all eln cache directories except the one currently in use.
>> >
>> > I imagine that casual users only ever use one version of Emacs at the
>> > same time (i.e. because they simply install Emacs using their package
>> > manager), so perhaps the first one could be the default mode of
>> > operation.
>> >
>> > We could add a number of options to ensure a user can tweak this to
>> > their own liking.
>> >
>> > One idea for a command name is `native-compile-cache-clear'.
>> 
>> I think 2) would be sufficient for most people, and, yes, having a
>> command for this would be nice.
>
> It shouldn't be hard to implement, but do we want to delete such a
> directory only under ~/.emacs.d/eln-cache/, or under all the
> directories in native-comp-eln-load-path?

How about only deleting .eln files below these directories, and removing
the directories only when they are empty afterwards?  I'm suddenly
imagining users who put other files into such directories, or add their
home directory to native-comp-eln-load-path, or ...